Bug 189719 - PCI quirks: link order is broken?
PCI quirks: link order is broken?
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-23 18:17 EDT by Mark M. Hoffman
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-15 21:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
[PATCH 2.6.17-rc3] I2C: sis96x SMBus quirks cannot rely on link ordering (3.40 KB, patch)
2006-04-27 23:06 EDT, Mark M. Hoffman
no flags Details | Diff

  None (edit)
Description Mark M. Hoffman 2006-04-23 18:17:26 EDT
Please see this thread, from the lm-sensors mailing list:


(keywords for bugzilla: Asus P4S333 asb100 sis96x smbus quirk missing device)
Comment 1 Dave Jones 2006-04-25 01:14:07 EDT
This looks incredibly fragile.  I think the easiest way to fix this is to
explicitly call the 96x quirk from the 503 quirk after enabling the hidden device.
Comment 2 Mark M. Hoffman 2006-04-27 23:06:56 EDT
Created attachment 128338 [details]
[PATCH 2.6.17-rc3] I2C: sis96x SMBus quirks cannot rely on link ordering

I sent this patch upstream here:
Comment 3 Jean Delvare 2006-05-13 14:12:09 EDT
Any idea why this used to work for years and breaks now on FC4?
Comment 4 Jean Delvare 2006-07-27 15:24:11 EDT
How was it fixed? Was Mark's proposed patch simply applied? I still would like
to understand how the problem only ever showed on FC4.

Note You need to log in before you can comment on or make changes to this bug.